<?php
// Copyright 1999-2025. WebPros International GmbH. All rights reserved.
?>
<script type="text/javascript">
//<![CDATA[
Plesk.require('app/log-browser/files', function (FilesList) {
    new Jsw.Panel({
        cls: 'list-box',
        renderTo: 'main',
        items: [
            new FilesList({
                webspaceId: <?php echo $this->webspaceId ?>,
                data: <?php echo Zend_Json::encode($this->logFilesList->fetchData()) ?>,
                dataUrl: '/log-file/list-data/id/<?php echo $this->domId ?>',
                urls: {
                    browser: '<?php echo $this->baseUrl("/log-file/browser/id/{$this->domId}") ?>',
                    download: '<?php echo $this->baseUrl("/log-file/download/id/{$this->domId}") ?>',
                    view: '<?php echo $this->baseUrl("/log-file/view/id/{$this->domId}") ?>',
                    addCustom: '<?php echo $this->baseUrl("/log-file/add-custom-log/id/{$this->domId}") ?>',
                    unlink: '<?php echo $this->baseUrl("/log-file/unlink-custom-log/id/{$this->domId}") ?>',
                    logRotation: '<?php echo $this->logRotation ? $this->baseUrl("/log-file/settings/id/{$this->domId}") : '' ?>',
                    deleteFile: '<?php echo $this->baseUrl("/log-file/delete/id/{$this->domId}") ?>'
                }
            })
        ]
    });
});
//]]>
</script>
